# vim: set sw=4 ts=4 et:

Name:           transcode
Version:        1.1.5
Release:        108.2

Source:         http://download.berlios.de/tcforge/transcode-%{version}.tar.bz2
Patch0:         transcode-fix-rpmlint.patch
Patch1:         transcode-ffmpeg.diff
Patch2:         transcode-configdir.patch
BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}

Summary:        A linux video stream processing utility
Summary(de):    Das Schweizer Taschenmesser der Videobearbeitung
License:        GPL
Group:          Productivity/Multimedia/Other

URL:            http://tcforge.berlios.de
BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}

%if %suse_version < 1130
BuildRequires:  gtk-devel
BuildRequires:  glib-devel
%endif
BuildRequires:  libfaac-devel
BuildRequires:  lzo-devel >= 2.01
BuildRequires:  nasm >= 0.98.35
BuildRequires:  libdvdread-devel
BuildRequires:  libogg-devel
BuildRequires:  libxml2-devel
BuildRequires:  libquicktime-devel >= 0.9.3
BuildRequires:  libfame-0_9-1
BuildRequires:  libfame-devel
BuildRequires:  aalib-devel
BuildRequires:  ImageMagick-devel
BuildRequires:  liba52-devel
BuildRequires:  freetype2-devel
BuildRequires:  pvm-devel
BuildRequires:  mjpegtools
BuildRequires:  SDL-devel
BuildRequires:  libtheora-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libffmpeg_oldabi-devel
BuildRequires:  lzo
BuildRequires:  libmpeg2-devel
BuildRequires:  libvorbis
BuildRequires:  libvorbis-devel
#BuildRequires: libmpeg3-devel
BuildRequires:  libmjpegutils-devel
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  libvdpau-devel
BuildRequires:  libdv-devel
BuildRequires:  libjpeg-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
transcode is a text-console video stream processing tool. Decoding and encoding
is done by loading shared library modules that are responsible for feeding
transcode with raw RGB/PCM streams (import module) and encoding the frames
(export module). It supports elementary video and audio frame transformations.
Some example modules are included to enable import of MPEG program streams
(VOB), Digital Video (DV), or YUV video and export modules for writing DivX;-),
OpenDivX, or uncompressed AVI files.  A set of tools is available to extract
and decode the sources into raw video/audio streams for import and to enable
post-processing of AVI files.




Authors:
--------
    Thomas Östreich (ostreich@theorie.physik.uni-goettingen.de)

%description -l de
Videokonverter mit sehr vielen input/output und filter plugins, kann auch zum
encodieren von dvd's genutzt werden.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2
%__perl -ne 'print $1,"\n" if /^\+{3}\s+(.+?)\s+/' <"%{PATCH2}" | while read f; do
    %__sed -i 's|@@CONFIGDIR@@|%{_libdir}/transcode|g' "$f"
done

%build
autoreconf -ifv

# --enable-ibp --enable-pv3  --enable-bsdav
CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS"  LDFLAGS=" -L%{_libdir} `glib-config --libs`" ./configure \
        --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir} \
    --with-mod-path=%{_libdir}/transcode \
    --enable-libavcodec --enable-libavformat \
    --enable-v4l --enable-oss --enable-alsa \
    --disable-libpostproc \
    --enable-freetype2 --enable-lame --enable-xvid --enable-x264 \
    --enable-ogg --enable-vorbis --enable-theora \
%ifarch x86_64 amd64 ia32e
    --enable-pvm3  --with-pvm3-libs=/usr/lib/pvm3/lib/LINUX64 \
%else
%ifarch ppc
    --enable-pvm3  --with-pvm3-libs=/usr/lib/pvm3/lib/LINUXPPC \
%else
    --enable-pvm3  --with-pvm3-libs=%{_libdir}/pvm3/lib/LINUX \
%endif
%endif
    --enable-libdvdread --enable-libdv --enable-libquicktime \
    --enable-lzo --with-lzo-includes=%_includedir/lzo \
    --enable-a52 --enable-faac --enable-libxml2 \
    --enable-mjpegtools --enable-sdl --enable-imagemagick \
%ifarch %{ix86} x86_64
    --enable-nuv \
%endif
    --enable-libmpeg2 --enable-libmpeg2convert \
    --enable-libjpeg --enable-iconv --enable-deprecated

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm "%{buildroot}%{_libdir}/transcode"/*.la

%{__rm} -rf %{buildroot}%{_datadir}/doc/transcode
%{__rm} -rf %{buildroot}%{_datadir}/doc/packages/%{name}/man docs/man
%{__rm} -f %{buildroot}%{_bindir}/pvmgs
find docs/ -name 'Makefile*' -exec %__rm {} \;
%{__rm} -f docs/tcmkmodhelp.py
%{__rm} -f docs/make-filter-man.sh
%{__rm} -f docs/make-import-man.sh

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/%{name}
%{_mandir}/man*/*
%doc AUTHORS COPYING ChangeLog README TODO docs/*

%changelog
* Mon Jan 23 2012 reddwarf@opensuse.org
- Add libjpeg-devel, autoconf, automake and libtool BRs to fix
  Factory build.
* Mon Jan 23 2012 reddwarf@opensuse.org
- Add missing libdv-devel BuildRequire.
* Sun Jul 31 2011 Manfred.Tremmel@iiv.de
- ffmpeg_oldabi is build without postproc, so disabled this in
  transcode.
* Tue Dec 14 2010 pascal.bleser@opensuse.org
- fix configuration lookup path
- remove .la files
* Tue Jul 13 2010 detlef@links2linux.de
- fix 11.3 BuildRequires
* Tue Feb  9 2010 Manfred.Tremmel@iiv.de
- patch to work with latest ffmpeg snapshot
* Sun Nov 22 2009 Manfred.Tremmel@iiv.de
- little patch to compile agains a52dec svn
* Sun Nov  8 2009 Manfred.Tremmel@iiv.de
- added --enable-libmpeg2convert configure option
* Thu Nov  5 2009 Manfred.Tremmel@iiv.de
- added --enable-libmpeg2 configure option
* Mon Nov  2 2009 Manfred.Tremmel@iiv.de
- update to 1.1.5
* Mon Aug 31 2009 Manfred.Tremmel@iiv.de
- update to 1.1.4
* Wed Feb 18 2009 Manfred.Tremmel@iiv.de
- added --enable-deprecated for dvdrip compatibility
* Sat Feb 14 2009 Manfred.Tremmel@iiv.de
- updated configure options, some formats where not supported in the last
  build because the options parameters differ from previous versions
* Sun Jan 18 2009 Manfred.Tremmel@iiv.de
- update to 1.1.0
* Fri Dec 26 2008 Manfred.Tremmel@iiv.de
- update to 1.0.7
* Mon Dec 15 2008 Manfred.Tremmel@iiv.de
- recompile against new mjpegtools
* Sun Nov  2 2008 Manfred.Tremmel@iiv.de
- patched configure file to reanable imagemagick support in openSUSE >= 11.0
* Tue Sep 16 2008 detlef@links2linux.de
- rebuild with new ffmpeg
- add ffmpeg.patch
* Fri Aug  8 2008 Manfred.Tremmel@iiv.de
- update to 1.0.6
* Mon Jan 28 2008 Manfred.Tremmel@iiv.de
- update to 1.0.5
- disabled xio support (doesn't compile with 1.0.5)
* Sun Jan  6 2008 Manfred.Tremmel@iiv.de
- moved bash completion script from /etc/profile.d/ to /etc/bash_completion.d/
- bash completion script is included in the traball, it's no longer necessary to
  add it as separate source entry.
* Mon Sep 17 2007 Manfred.Tremmel@iiv.de
- update to 1.0.4
* Tue Sep  4 2007 Manfred.Tremmel@iiv.de
- added a patch to fix problems with latest ffmpeg snapshot
* Tue Mar 20 2007 Manfred.Tremmel@iiv.de
- on SUSE 10.2 no correct configure file is created, added a
  fixed file in the source list and replaced the wrong.
- compiled without libmpeg3 support (removed)
- some other little cleanups
* Fri Aug 11 2006 rainer@links2linux.de
- added patch for ffmpeg; contributed by Dana Albrecht
* Mon Jan 23 2006 rainer@links2linux.de
- removed libpostproc dep; it is now included in ffmpeg
* Tue Nov 29 2005 rainer@links2linux.de
- changed requires notation
* Sat Oct 15 2005 rainer@links2linux.de
- SuSE 10.0 - without avifile
* Sun Feb 20 2005 rainer@links2linux.de
- changes for 64 bit code
* Wed Nov 17 2004 rainer@links2linux.de
- readded pvm
* Tue Nov  9 2004 rainer@links2linux.de
- disabled libmpeg3 for SuSE 9.2. Seems to make problems with mpeg2 streams
* Sun Oct 31 2004 rainer@links2linux.de
- corrected deps
- added robin hill patch
* Sat Oct 30 2004 rainer@links2linux.de
- first 0.6.13 release
* Sun Jan 11 2004 rainer@links2linux.de
- cleaned up make and make install
* Sat Jan 10 2004 rainer@links2linux.de
- audio extract patch
* Fri Jan  9 2004 rainer@links2linux.de
- added modules
- added profile.d/transcode.sh
* Tue Nov 11 2003 rainer@links2linux.de
- re-added postproc lib
* Wed Jul 30 2003 Rainer@links2linux.de
- splitted paths
- added fix filter_resample-segfault-fix-0.6.8
* Tue Jul  8 2003 Rainer@links2linux.de
- added theora support (suse 8.2 only)
- changed to make install-strip
* Thu Jun 12 2003 Rainer@links2linux.de
- added a52dec requires
* Thu Feb 20 2003 Rainer@links2linux.de
- corrected libdvdread dependency
* Tue Feb 18 2003 Rainer@links2linux.de
- changed buildrequires to mjpegtools
* Sat Feb  8 2003 Rainer@links2linux.de
- readded xvid and ffmpeg export
- added german summary and description
* Sun Feb  2 2003 Rainer@links2linux.de
- changed to libdvdread; thanx to rafael@mondoria.de
* Fri Nov 22 2002 Rainer@links2linux.de
- corrected mplayer postproc handling
- added explicit quicktime support
* Wed Nov 20 2002 Rainer@links2linux.de
- added patch for mplayer nogui
* Fri Oct 18 2002 Rainer@links2linux.de
- added lzo
* Tue Oct  1 2002 Rainer@links2linux.de
- changed version release naming
* Fri Aug 23 2002 rainer.lay@gmx.de
- corrected manpath
* Mon Jul  8 2002 rainer.lay@gmx.de
- build on base of avifile 0.7.9
* Mon Jun 10 2002 rainer.lay@gmx.de
- removed wget html docs
* Wed Apr  3 2002 rainer.lay@gmx.de
- update to pre5
- added html docs
  Wed Jul 11 00:00:00 UTC 2001 - Thomas Östreich
- update to transcode v0.3.3
- small changes suggested by VM
* Tue Jul 10 2001 moell@gmx.de
- Wrote this specfile; first build
